[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugintf' (#fcl)

# SendBoolean

Send the value of a boolean variable

## Declaration

Source position: dbugintf.pp line 25

`procedure SendBoolean(`
`const Identifier: String;`
`const Value: Boolean`
`);`

## Arguments

`Identifier` |  | Name of the boolean variable
`Value` |  | Value of the boolean variable.

## Description

SendBoolean is a simple wrapper around SendDebug which sends the name and value of a boolean value as an informational message.

## Errors

None.

## See also

SendDebug |  | Send a message to the debug server.
SendDateTime |  | Send the value of a TDateTime variable.
SendInteger |  | Send the value of an integer variable.
SendPointer |  | Send the value of a pointer variable.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .